package com.cctbn.radio.controller.service;
import com.cctbn.radio.controller.service.IPlayServiceCallback;
interface IPlayService{
	void play();
	void pause();
	void previous();
	void next();
	boolean isPlaying();
	boolean hasMedia();
    boolean hasNext();
    boolean hasPrevious();
    void playIndex(int index);
    void seekTo(long time);
    void detectHeadset(boolean enable);
    int getTime();
    int getLength();
    void addAudioCallback(IPlayServiceCallback cb);
    void removeAudioCallback(IPlayServiceCallback cb);
}